## gnome-sudoku 49.2

=== meson_options.txt ===
option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with profile appended to application ID (currently "Devel" is the only supported profile)'
)

## gnome-sudoku 3.8.1

=== debian/changelog ===
gnome-sudoku (1:3.8.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Package split from gnome-games

  [ Andrew Starr-Bochicchio ]
  * Add missing ${python:Depends} to debian/control.{in}
  * Set package as Architecture: all
  * Drop un-needed build dependencies on libglib2.0-dev and
    valac-0.18.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/01_fix_runtime_error_with_new_pygobject.patch:
    + Patch from bgo#693736, makes gnome-sudoku work with
      recent pygobject.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 19:48:47 +0200

gnome-games (1:3.4.2-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/91_glchess_engine.patch:
    - Cherry-pick patch from upstream Git to kill gnuchess engine
      processes on new game/exit (Closes: #675003).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 Aug 2012 23:14:54 +0200

gnome-games (1:3.4.2-2) unstable; urgency=low

  * debian/patches/02_swell-foop-datadir.patch: Install data files into
    /usr/share/swell-foop not /usr/share/gnome-games and use the correct path
    for the gettext translations. Patch cherry-picked from upstream Git.
  * debian/swell-foop.install: Update accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 May 2012 07:30:46 +0200

gnome-games (1:3.4.2-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
      gobject-introspection
    - Tighten gnome-games-data dependency for Lights Off & Swell Foop
  * debian/patches/90_fix-help-links.patch: Dropped, applied upstream
  * debian/patches/91_fix-gnuchess6-compatibility.patch:
    - Git patch to enable Chess to work with gnuchess 6 (Closes: #668435)

  [ Michael Biebl ]
  * Drop obsolete --disable-gnuchess configure switch.
  * debian/patches/01_swell-foop-setgid.patch: Make sure swell-foop is
    installed with the correct setgid bits set so it can write to the scores
    files.
  * debian/scores/swell-foop.inst: Install scores files for swell-foop.
  * Drop obsolete Conflicts, Breaks and Replaces.

 -- Michael Biebl <biebl@debian.org>  Mon, 21 May 2012 07:40:19 +0200

gnome-games (1:3.4.1-2) unstable; urgency=low

  * Demote the aisleriot dependency to a recommendation as long as
    guile-2.0 isn't available on armel, armhf and ia64.

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 May 2012 00:52:38 +0200

gnome-games (1:3.4.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * Re-enable lightsoff and swell-foop
  * debian.control.in:
    - Build-depend on valac-0.16 and GTK 3.3.11
    - Build-depend on yelp-tools instead of gnome-doc-utils
    - Drop gconf dependency
    - Standards-Version 3.9.3
  * debian/*.install: Updated for new files and directories
  * debian/patches/90_fix-sudoku-borders.patch: Dropped, applied upstream
  * debian/patches/90_fix-help-links.patch:
    Patch derived from Git to fix links to help in several games
  * Use dh-autoreconf for the above patch

  [ Jordi Mallach ]
  * New upstream release.
  * Rewrite copyright file in machine-readable format 1.0.
  * Add many copyright entries for lots of missing bits.
  * Build-Depend on gobject-introspection and gnome-common to fix
    autoreconf, but pass --disable-introspection to ensure introspection
    remains disabled.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 May 2012 17:02:41 +0200

gnome-games (1:3.2.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * debian/watch:
    - Track .xz tarballs.
  * debian/control.in:
    - Add Depends on python-gi-cairo to gnome-sudoku. Closes: #643692
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Dec 2011 20:49:10 +0100

gnome-games (1:3.2.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream stable release.
    - Aisleriot has been split into its own package
    - Five or More, Iagno, Mahjongg, Mines and Tetravex were ported to
      GSettings
    - Sudoku was ported to pygobject
  * debian/control.in:
    - Add Vcs links
    - Dropped aisleriot & its dependencies
    - Require valac-0.14 and pygobject 2.90
  * debian/pycompat: Dropped, obsolete.
  * debian/patches/01_theme_install.patch: Dropped, applied upstream

  [ Jordi Mallach ]
  * New upstream release.
  * Merge from Ubuntu:
    - debian/patches/90_fix-sudoku-borders.patch: Bugzilla patch to
      fix missing borders in Sudoku (LP: #844385).
  * Tighten aisleriot dependency to >= ${gnome:Version}.
  * Replace versioned conflicts with breaks.
  * Remove aisleriot bits from copyright file.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Nov 2011 19:47:53 +0100

gnome-games (1:3.0.2-2) unstable; urgency=low

  * Fix pygobject dependency. Closes: #643030.
  * gnome-cards-data also breaks g-g-extra-data.
  * Add missing epoch to all breaks/replaces.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Sep 2011 23:13:06 +0200

gnome-games (1:3.0.2-1) unstable; urgency=low

  * Make gnome-cards-data Replaces: gnome-games-extra-data.
    Closes: #629925.
  * New upstream release.
  * Explicitly disable swell-foop and lightsoff since they are going 
    away in 3.2 (pending a port to vala or C). Closes: #623988.
  * Update build-dependencies.
  * Drop introspection, it’s only used for JS games.
  * Build-conflict with libclutter-gtk-0.10-dev because of BZ#643080.
  * 01_theme_install.patch: new patch. List packages for installation of 
    extra card themes.
  * Split all games in separate packages to prepare for the upcoming 
    split upstream. Closes: #167372.
  * Small updates to copyright file accordingly.
  * Remove old-style menu files.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Sep 2011 13:48:36 +0200

gnome-games (1:3.0.1.1-1) experimental; urgency=low

  * New upstream stable release.
  * Bump a few more Build-Deps and add valac-0.12.
  * Re-enable GObject Introspection support.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://live.gnome.org/GnomeSudoku
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.6),
               gnome-common,
               intltool (>= 0.35.0),
               python (>= 2.6.6-3~),
               python-gi-dev (>= 2.90.1),
               yelp-tools
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sudoku
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

Package: gnome-sudoku
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         python-gi (>= 2.90.1),
         python-gi-cairo (>= 2.90.1),
         gir1.2-gtk-3.0,
         python-cairo
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=\$${prefix}/games

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

binary-install/gnome-sudoku::
		dh_python2

## gnome-sudoku 3.10.2

=== debian/changelog ===
gnome-sudoku (1:3.10.2-0ubuntu3.1) trusty; urgency=medium

  * debian/patches/use_correct_translation_domain.patch:
    - use the correct translations domain (lp: #1327205)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Jun 2014 11:26:40 +0200

gnome-sudoku (1:3.10.2-0ubuntu3) trusty; urgency=medium

  * debian/patches/git_working_undo.patch:
    - "This fixes undo when only one number is on the board." (lp: #1272716)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Jun 2014 11:29:26 +0200

gnome-sudoku (1:3.10.2-0ubuntu2) trusty; urgency=medium

  * 0002-fix-sort-syntax-error.patch: Backport upstream
    commit that fixes crashes when saving a "Very Hard"
    game (LP: #1252220).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 16 Jan 2014 21:24:37 -0500

gnome-sudoku (1:3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Quit when SIGINT is received instead of ignoring it
    - Fix everything being initially hidden
    - Fix a crash when clearing notes
    - Slightly improve the look of the number pad
    - Fix the high contrast icon
    - Add an appdata file for GNOME Software
    - Fix running uninstalled
    - Fix NumberBox events configuration with latest pygobject
    - Game no longer disappears when opening "print multiple sudokus" in fullscreen
    - Reduce the width of the About dialog
    - Don't use deprecated GObject.timeout_add_seconds
    - Use /usr/bin/python instead of /usr/bin/env/python
    - Fix some broken links in user help
  * debian/patches/01_fix_runtime_error_with_new_pygobject.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Dec 2013 10:01:36 +1300

gnome-sudoku (1:3.8.1-1ubuntu1) trusty; urgency=low

  * Apply patch porting gnome-sudoku to python3. (LP: #1078720)

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sun, 27 Oct 2013 02:44:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-sudoku
 Section: games
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://live.gnome.org/GnomeSudoku
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
                dh-autoreconf,
+	       dh-python,
                gnome-pkg-tools (>= 0.6),
                gnome-common,
                intltool (>= 0.35.0),
-               python (>= 2.6.6-3~),
+               python3 (>= 2.6.6-3~),
                python-gi-dev (>= 2.90.1),
                yelp-tools
 Standards-Version: 3.9.4
@@ -26,11 +27,11 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends},
-         python-gi (>= 2.90.1),
-         python-gi-cairo (>= 2.90.1),
+         ${python3:Depends},
+         python3-gi (>= 2.90.1),
+         python3-gi-cairo (>= 2.90.1),
          gir1.2-gtk-3.0,
-         python-cairo
+         python3-cairo
 Recommends: yelp
 Description: Sudoku puzzle game for GNOME
  This is an application for playing the popular sudoku logic puzzle

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 binary-install/gnome-sudoku::
-		dh_python2
+		dh_python3

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-sudoku/([\d\.]+[02468])/ \
	gnome-sudoku-(.*)\.tar\.xz

## gnome-sudoku 3.12.3

=== debian/changelog ===
gnome-sudoku (1:3.12.3-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - Miscellaneous fixes
    - Fix crash that was reported by Ubuntu's crash catcher over 5000 times
    - Some more stuff is translated now
  * debian/patches/git_working_undo.patch:
  * debian/patches/use_correct_translation_domain.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 04 Jul 2014 10:12:40 +1200

gnome-sudoku (1:3.12.2-0ubuntu1) utopic; urgency=medium

  * New upstream version
  * debian/control.in: updated g-i requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Jun 2014 12:20:54 +0200

gnome-sudoku (1:3.10.2-0ubuntu4.1) utopic; urgency=medium

  * debian/patches/use_correct_translation_domain.patch:
    - use the correct translations domain (lp: #1327205)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Jun 2014 11:26:40 +0200

gnome-sudoku (1:3.10.2-0ubuntu4) utopic; urgency=medium

  * debian/patches/git_working_undo.patch:
    - "This fixes undo when only one number is on the board." (lp: #1272716)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Jun 2014 11:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://live.gnome.org/GnomeSudoku
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 8),
@@ -17,7 +17,7 @@
                gnome-common,
                intltool (>= 0.35.0),
                python3 (>= 2.6.6-3~),
-               python-gi-dev (>= 2.90.1),
+               python-gi-dev (>= 3.11),
                yelp-tools
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sudoku
@@ -28,8 +28,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
-         python3-gi (>= 2.90.1),
-         python3-gi-cairo (>= 2.90.1),
+         python3-gi (>= 3.11),
+         python3-gi-cairo (>= 3.11),
          gir1.2-gtk-3.0,
          python3-cairo
 Recommends: yelp

## gnome-sudoku 3.14.1

=== debian/changelog ===
gnome-sudoku (1:3.14.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Oct 2014 01:21:11 +0200

gnome-sudoku (1:3.14.0-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
    - Rewritten in vala
  * debian/control:
    - Add build-depends on libqqwing-dev (>= 1.2.0), libgee-0.8-dev, valac,
      libglib2.0-dev (>= 2.40.0), libgtk-3-dev (>= 3.13.4), libjson-glib-dev
    - Drop all python depends
    - Make package arch: any

  [ Laurent Bigonville ]
  * debian/control.in:
    - Drop gir1.2-gtk-3.0 dependency, not needed with the vala version
    - Bump Standards-Version to 3.9.6 (no further changes)
    - Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Oct 2014 13:40:17 +0200

gnome-sudoku (1:3.10.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update homepage

  [ Jackson Doak ]
  * New upstream release
  * Drop debian/patches, fixed in upstream
  * debian/copyright: Drop GFDL-NIV paragraph, not used

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 21 Oct 2013 12:37:52 +1100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Sudoku
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.6),
               gnome-common,
               intltool (>= 0.35.0),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.13.4),
               libjson-glib-dev,
               libqqwing-dev (>= 1.2.0),
               valac (>= 0.25.1),
               yelp-tools
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

Package: gnome-sudoku
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

## gnome-sudoku 3.14.2

=== debian/changelog ===
gnome-sudoku (1:3.14.2-0ubuntu3) vivid; urgency=medium

  * debian/control:
    - Build-depend on libjson-glib-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Jan 2015 10:11:25 +1300

gnome-sudoku (1:3.14.2-0ubuntu2) vivid; urgency=medium

  * debian/control:
    - Correct build-depend to libgee-0.8-dev instead of libgee-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 22 Jan 2015 09:27:48 +1300

gnome-sudoku (1:3.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1399051)
  * debian/control:
    - Drop Python dependencies
    - Update package architecture
    - Add build-depends on valac, libglib2.0-dev, libgtk-3-dev (>= 3.13.4),
      libgee-dev, libqqwing-dev 
  * debian/rules:
    - Drop Python rules

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 21 Jan 2015 14:57:54 +1300

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Homepage: https://live.gnome.org/GnomeSudoku
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 8),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.6),
               gnome-common,
               intltool (>= 0.35.0),
               yelp-tools,
               valac (>= 0.25.1),
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.13.4),
               libgee-0.8-dev,
               libjson-glib-dev,
               libqqwing-dev (>= 1.2.0)
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-sudoku
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

Package: gnome-sudoku
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

## gnome-sudoku 3.16.0

=== debian/changelog ===
gnome-sudoku (1:3.16.0-1build1) wily; urgency=medium

  * No change rebuild against libqqwing2v5

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Aug 2015 10:49:57 +1200

gnome-sudoku (1:3.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends:
    - Add appstream-util.
    - Bump intltool to (>= 0.50).
    - Bump libgtk-3-dev to (>= 3.15.0) as per upstream gnome-3-16 branch.
    - Bump valac (>= 0.27.1) as per upstream gnome-3-16 branch.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 15:01:26 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Sudoku
Build-Depends: cdbs (>= 0.4.90~),
               debhelper (>= 9),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.6),
               gnome-common,
               intltool (>= 0.50),
               appstream-util,
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.15.0),
               libjson-glib-dev,
               libqqwing-dev (>= 1.2.0),
               valac (>= 0.27.1),
               yelp-tools
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

Package: gnome-sudoku
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

## gnome-sudoku 3.18.2

=== debian/changelog ===
gnome-sudoku (1:3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Nov 2015 17:09:15 +0100

gnome-sudoku (1:3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Oct 2015 00:19:19 +0200

gnome-sudoku (1:3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump libqqwing-dev to >= 1.3.4
    - bump valac to >= 0.27.1.30

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 06 Oct 2015 17:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jordi Mallach <jordi@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Sudoku
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 9),
@@ -19,12 +19,12 @@
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.15.0),
                libjson-glib-dev,
-               libqqwing-dev (>= 1.2.0),
-               valac (>= 0.27.1),
+               libqqwing-dev (>= 1.3.4),
+               valac (>= 0.27.1.30),
                yelp-tools
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/
 
 Package: gnome-sudoku
 Architecture: any

## gnome-sudoku 3.18.4

=== debian/changelog ===
gnome-sudoku (1:3.18.4-0ubuntu2) xenial; urgency=medium

  * debian/rules:
    - Delete vala stamps to rebuild generated source files. This
      fixes 3.18.4's failure to build from source in Ubuntu 16.04.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2016 01:11:18 -0400

gnome-sudoku (1:3.18.4-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release (LP: #1615252)
    - Make 'Pause' correctly hide the game play area and 'Resume'
      show it again
    - Fix the random puzzle generator so new puzzles don't follow
      the same exact sequence.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Aug 2016 13:33:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-sudoku
 Section: games
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Sudoku
 Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/cdbs/1/class/python-distutils.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
@@ -14,5 +13,6 @@
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-binary-install/gnome-sudoku::
-		dh_python3
+clean::
+	find . -name "*_vala.stamp" -delete
+

## gnome-sudoku 3.22.0

=== debian/changelog ===
gnome-sudoku (1:3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/git_fix-pause.patch, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 21 Sep 2016 22:34:22 +0200

gnome-sudoku (1:3.21.90-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release.
  * Bump dh compat to 10
  * Delete vala stamps to rebuild generated source files
  * git_fix-pause.patch:
    - Redraw the screen when Pause or Resume are selected (LP: #1615252)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 16:07:30 +0200

gnome-sudoku (1:3.20.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Jul 2016 15:40:45 +0200

gnome-sudoku (1:3.20.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Use dh instead of cdbs
  * Enable all hardening flags

 -- Michael Biebl <biebl@debian.org>  Thu, 26 May 2016 06:55:58 +0200

gnome-sudoku (1:3.20.1-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.
  * Bump libgtk-3-dev to (>= 3.19.0) as per configure.ac.

  [ Andreas Henriksson ]
  * Drop gnome-common build-dependency following upstream change.
  * Bump Standards-Version to 3.9.8
  * Update debian/copyright following upstreams change to GPL-3+.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 May 2016 15:25:28 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sudoku
Section: games
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Homepage: https://wiki.gnome.org/Apps/Sudoku
Build-Depends: appstream-util,
               debhelper (>= 10),
               gnome-pkg-tools (>= 0.6),
               intltool (>= 0.50),
               libgee-0.8-dev,
               libglib2.0-dev (>= 2.40.0),
               libgtk-3-dev (>= 3.19.0),
               libjson-glib-dev,
               libqqwing-dev (>= 1.3.4),
               valac (>= 0.27.1.30),
               yelp-tools
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

Package: gnome-sudoku
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: yelp
Description: Sudoku puzzle game for GNOME
 This is an application for playing the popular sudoku logic puzzle
 game, in which one must fill a 9 by 9 square with the correct digits.
 .
 It features automatic puzzle generation, saving and restoring games,
 annotations, trackers, and much more.

## gnome-sudoku 3.22.2

=== debian/changelog ===
gnome-sudoku (1:3.22.2-1) unstable; urgency=medium

  * New upstream release.
  * Stop using intltool.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Nov 2016 13:31:17 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Sudoku
 Build-Depends: appstream-util,
                debhelper (>= 10),
                gnome-pkg-tools (>= 0.6),
-               intltool (>= 0.50),
+               gettext,
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.19.0),

## gnome-sudoku 3.24.0

=== debian/changelog ===
gnome-sudoku (1:3.24.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 19:46:22 -0400

gnome-sudoku (1:3.23.92.1-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/patches/revert-require-vala36.patch:
    - Revert vala version bump since it works fine with
      vala 0.34

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 12 Mar 2017 21:17:43 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-sudoku
 Section: games
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Sudoku
 Build-Depends: appstream-util,
                debhelper (>= 10),

## gnome-sudoku 3.26.0

=== debian/changelog ===
gnome-sudoku (1:3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 10:24:05 -0400

gnome-sudoku (1:3.25.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum vala to 0.36
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 29 Aug 2017 19:17:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-sudoku
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Homepage: https://wiki.gnome.org/Apps/Sudoku
 Build-Depends: appstream-util,
                debhelper (>= 10),
@@ -18,9 +17,9 @@
                libgtk-3-dev (>= 3.19.0),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
-               valac (>= 0.27.1.30),
+               valac (>= 0.36),
                yelp-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/

## gnome-sudoku 3.28.0

=== debian/changelog ===
gnome-sudoku (1:3.28.0-1) unstable; urgency=medium

  * New upstream release 

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 10:42:56 +1100

gnome-sudoku (1:3.27.3-1) experimental; urgency=medium

  * New upstream development release (LP: #1734545)

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 22:49:42 -0500

gnome-sudoku (1:3.26.0-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 15:28:24 -0500

gnome-sudoku (1:3.26.0-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 17:46:08 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-sudoku
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Homepage: https://wiki.gnome.org/Apps/Sudoku
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util,
-               debhelper (>= 10),
+               debhelper (>= 11),
                gnome-pkg-tools (>= 0.6),
                gettext,
                libgee-0.8-dev,
@@ -19,9 +18,10 @@
                libqqwing-dev (>= 1.3.4),
                valac (>= 0.36),
                yelp-tools
-Standards-Version: 4.1.0
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/gnome-sudoku
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-sudoku/
+Standards-Version: 4.1.2
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
+Homepage: https://wiki.gnome.org/Apps/Sudoku
 
 Package: gnome-sudoku
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- --bindir=\$${prefix}/games

override_dh_autoreconf:
	find . -name "*_vala.stamp" -delete
	dh_autoreconf --as-needed

## gnome-sudoku 3.30.0

=== debian/changelog ===
gnome-sudoku (1:3.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Add itstool build-dependency (needed by yelphelper)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 07 Sep 2018 23:17:02 +0200

gnome-sudoku (1:3.29.2-1) unstable; urgency=medium

  * New upstream version, build with meson

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 11:30:07 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                debhelper (>= 11),
                gnome-pkg-tools (>= 0.6),
                gettext,
+               itstool,
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.19.0),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                valac (>= 0.36),
-               yelp-tools
+               meson (>= 0.44.1),
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games

## gnome-sudoku 3.32.0

=== debian/changelog ===
gnome-sudoku (1:3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 12 Mar 2019 20:30:19 +0100

gnome-sudoku (1:3.31.90-1) experimental; urgency=medium

  * New upstream development release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Feb 2019 17:34:58 -0500

gnome-sudoku (1:3.30.0-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Drop obsolete Build-Depends on appstream-util and gettext
  * Restore -Wl,-O1 to our LDFLAGS
  * Use relative path for bindir override
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 10:03:26 -0500

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,18 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
-               gnome-pkg-tools (>= 0.6),
-               gettext,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gnome,
                itstool,
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
                libgtk-3-dev (>= 3.19.0),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
+               libxml2-utils,
+               meson (>= 0.44.1),
                valac (>= 0.36),
-               meson (>= 0.44.1),
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
 Homepage: https://wiki.gnome.org/Apps/Sudoku

## gnome-sudoku 3.34.0

=== debian/changelog ===
gnome-sudoku (1:3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 10:36:01 +0200

gnome-sudoku (1:3.33.4-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Aug 2019 12:47:01 +0200

## gnome-sudoku 3.34.1

=== debian/changelog ===
gnome-sudoku (1:3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 19 Oct 2019 17:20:41 -0400

## gnome-sudoku 3.36.0

=== debian/changelog ===
gnome-sudoku (1:3.36.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Mar 2020 15:07:10 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libxml2-utils,
                meson (>= 0.44.1),
                valac (>= 0.36),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
 Homepage: https://wiki.gnome.org/Apps/Sudoku

## gnome-sudoku 3.38.0

=== debian/changelog ===
gnome-sudoku (1:3.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 14:42:05 +0200

gnome-sudoku (1:3.37.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - update gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 07 Aug 2020 17:20:29 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                itstool,
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
-               libgtk-3-dev (>= 3.19.0),
+               libgtk-3-dev (>= 3.24),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,

## gnome-sudoku 40.0

=== debian/changelog ===
gnome-sudoku (1:40.0-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/git_appdata_version.patch:
    - Use ~ for devel versions in appdata, fix the tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Apr 2021 08:57:26 +0200

gnome-sudoku (1:40~alpha-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 13:30:08 +0100

## gnome-sudoku 40.2

=== debian/changelog ===
gnome-sudoku (1:40.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 07:25:24 -0400

gnome-sudoku (1:40.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch:
    - Update to follow the new GNOME version scheme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 May 2021 13:39:26 +0200

## gnome-sudoku 42.0

=== debian/changelog ===
gnome-sudoku (1:42.0-1) unstable; urgency=medium

  * New upstream release
    - Fixes build with latest meson (Closes: #1005570)
    - Mark as compatible with mobile devices (Closes: #1007157)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 17 Mar 2022 16:54:40 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
-               meson (>= 0.44.1),
+               meson (>= 0.50),
                valac (>= 0.36),
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku

## gnome-sudoku 43.0

=== debian/changelog ===
gnome-sudoku (1:43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.59
  * debian/control.in: Build-Depend on desktop-file-utils
  * debian/control.in: Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 13:36:27 -0400

gnome-sudoku (1:43~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Aug 2022 11:44:38 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               desktop-file-utils,
                dh-sequence-gnome,
                itstool,
                libgee-0.8-dev,
@@ -16,9 +17,10 @@
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
-               meson (>= 0.50),
+               meson (>= 0.59),
                valac (>= 0.36),
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git
 Homepage: https://wiki.gnome.org/Apps/Sudoku

## gnome-sudoku 43.1

=== debian/changelog ===
gnome-sudoku (1:43.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Update standards version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 20:18:30 -0500

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libxml2-utils,
                meson (>= 0.59),
                valac (>= 0.36),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sudoku
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sudoku.git

## gnome-sudoku 44.0

=== debian/changelog ===
gnome-sudoku (1:44.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:25:05 -0400

gnome-sudoku (1:44.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 27 Mar 2023 11:00:06 -0400

gnome-sudoku (1:44~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 10:06:26 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,

## gnome-sudoku 45.4

=== debian/changelog ===
gnome-sudoku (1:45.4-1) unstable; urgency=medium

  * New upstream release
    - Fix earmark warnings displayed when warnings are disabled
      (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/issues/91)
    - Add dark theme support
      (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/58)
    - Fix several bugs related to highlighter
      (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/59)
    - Fix window state not saved when closing game
      (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/60
       https://gitlab.gnome.org/GNOME/gnome-sudoku/-/merge_requests/62)
    - Fix user help not opening properly
      (https://gitlab.gnome.org/GNOME/gnome-sudoku/-/commit/26c87ded)

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 09 Jan 2024 09:53:45 -0500

gnome-sudoku (1:45.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Dec 2023 10:32:19 -0500

gnome-sudoku (1:45.2-1) unstable; urgency=medium

  * New upstream release
    - Note that the Dark Style preference is not supported yet.
  * Switch to GTK4 & libadwaita
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Nov 2023 15:19:39 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-sudoku
 Section: games
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                itstool,
+               libadwaita-1-dev (>= 1.4),
                libgee-0.8-dev,
                libglib2.0-dev (>= 2.40.0),
-               libgtk-3-dev (>= 3.24),
+               libgtk-4-dev (>= 4.10.0),
                libjson-glib-dev,
                libqqwing-dev (>= 1.3.4),
                libxml2-utils,
